<?php

/*
 *	WHMCS + OVH MANAGER
 *  BY BSTACK NETWORKS
 *
 *	ENGLISH LANGUAGE FILE [EMAIL]
 *
 *	Duplicate this file and name it the language you wish
 *	and place it in the same directory. Then select that 
 *	language inside the OVH Manager 'Email' settings.
 *
 *	[0] === SUBJECT LINE
 *	[1] === SERVICE_ID or IPV4 (if applicable)
 *
 *	array( [template_variable_name],  [string BEFORE desired content],  [string AFTER desired content]  )
 *
 *	For more advnace ways to manipulate the email language file please refer to the documentation
 *
 */

$_BNETLANG = array(

	// subject code 1 is vps_installation [never change this]
	1 => array(

		// [0] will also be your subject line
		0 => "Installation of your VPS",

		// 'service_id' is always needed otherwise your email will never get sent
		1 => array("service_id", "VPS name is:","The following administrator"),

		// additional variables to pull for your custom email 
		2 => array("os", "system/distribution","ACCESS SETTINGS"),
		3 => array("ipv4", "IPv4 address is:","Your VPS's IPv6"),
		4 => array("ipv6", "IPv6 address is:","Your VPS name"),
		5 => array("username", "Username:","Password:"),
		6 => array("password", "Password:","GETTING STARTED")
	),

	// subject code 2 is dedicated_installation [never change this]
	2 => array(

		0 => "Installation of your dedicated server",
		1 => array("service_id", "Server name:","(active in 24-48h)"),

		2 => array("os", "server is based on","This distribution is"),
		3 => array("bit", "distribution is based on a", "."),
		4 => array("ipv4", "IP address:","Server name:"),
		5 => array("username", "Username:","Password:"),
		6 => array("password", "Password:","GETTING STARTED")
	),

	// subject code 3 is dedicated_reboot [never change this]
	3 => array(

		0 => "Hardware reboot",

		1 => array("service_id", "reboot for your server","We have fulfilled", array( "rtrim" => "." ))
	),

	// subject code 4 is ip_spam_detected [never change this]
	4 => array(

		0 => "Spam detected from your IP address",
		1 => array("ipv4", "detected that your IP", "is sending spam.", array( "substitute" => "service_id", "isIPv4" => true )),

		2 => array("report", "details on your emails:", "If you want more information", array( "trim" => false))
	),

	// subject code 5 is dedicated_installation_error [never change this]
	5 => array(

		0 => "Error during server re-installation",
		1 => array("service_id", "You have started the","server re-installation"),

		2 => array("report", "The following error occurred:","To repair this error", array( "trim" => false))
	),

	// subject code 6 is ip_dedicated_attack [never change this]
	6 => array(

		0 => "Detection of an attack on IP address",
		1 => array("ipv4", "attack on IP address", "In order to protect", array( "rtrim" => ".", "substitute" => "service_id", "isIPv4" => true)),

	),

	// subject code 7 is ip_dedicated_endattack [never change this]
	7 => array(

		0 => "End of attack on IP address",
		1 => array("ipv4", "attack on IP address", "Your infrastructure has now", array( "substitute" => "service_id", "isIPv4" => true)),

	),

	// subject code 8 is dedicated_pwd_reset [never change this]
	8 => array(

		0 => "Password reset",
		1 => array("service_id", "Your VPS name is:","Here are the new access"),

		2 => array("ipv4", "IPv4 address is:","Your VPS IPv6"),
		3 => array("ipv6", "IPv6 address is:", "Your VPS name is:"),
		4 => array("username", "User name:","Password:"),
		5 => array("password", "Password:","Thank you for")

	),

	// subject code 9 is rescue_mode_dedicated [never change this]
	9 => array(

		0 => "Access settings for RESCUE mode",
		1 => array("ipv4", "- IP:", "- user:", array( "substitute" => "service_id", "isIPv4" => true)),

		2 => array("details", "systems using the following details:","You may connect to", array( "trim" => false)),
		3 => array("shell", "SSH with the following details:", "You can now carry out", array( "trim" => false))

	),

	// subject code 10 is rescue_mode_vps [never change this]
	10 => array(

		0 => "Rescue mode access parameters",
		1 => array("ipv4", "in to your VPS (", ") via SSH with", array( "substitute" => "service_id", "isIPv4" => true)),

		2 => array("username", "username:","- password:"),
		3 => array("password", "password:", "You can now carry out")

	),


);