<form name="create.accounts" method="POST" action="addonmodules.php?module={$admin.module}&action=accounts">

	<div class="panel panel-default">
	  <div class="panel-body">
		<h3>Create an Account</h3>
	  <div class="form-group">
	    <label for="nickname">Nickname</label>
	    <input type="text" class="form-control" id="nickname" name="nickname" placeholder="">
	  </div>
		<div class="form-group">
		<label for="company">Company</label>
		<select class="form-control" id="company" name="company">
			<option></option>
		  <option value="ovh">OVH</option>
		  <option value="soyoustart">SoYouStart</option>
		  <option value="kimsufi">Kimsufi</option>
		</select>
		</div>
		<div class="form-group">
		<label for="country">Country</label>
		<select class="form-control" id="country" name="country">
			<option></option>
		  <option value="ca">United States/Canada</option>
		  <option value="eu">France/Europe</option>
		</select>
		</div>
		<div class="form-group">
			<p>To generate your application key and secret select a company and country. Then visit <b id="url"></b></p>
		</div>
	  <div class="form-group">
	    <label for="key">Application Key</label>
	    <input type="text" class="form-control" id="key" name="key" placeholder="">
	  </div>
	  <div class="form-group">
	    <label for="secret">Application Secret</label>
	    <input type="text" class="form-control" id="secret" name="secret" placeholder="">
	  </div>
		<a href="#" class="btn btn-primary" onclick="$(this).closest('form').submit();return false;">Create</a>
		<a href="addonmodules.php?module={$admin.module}&action=accounts" class="btn btn-default">Go Back</a>
		</div>
	</div>
	<input type="hidden" name="s" value="create.accounts">
</form>
{literal}
<script>
(function(){
	var COUNTRY = "";
	var COMPANY = "";

	document.getElementById("country").onchange = function(){
	   COUNTRY = this.value;
		 ovh_api_updateUrl();
	};

	document.getElementById("company").onchange = function(){
	   COMPANY = this.value;
		 ovh_api_updateUrl();
	};

	function ovh_api_updateUrl(){
			if(COUNTRY && COMPANY)
				document.getElementById("url").innerHTML = "<a href='https://"+COUNTRY+".api."+COMPANY+".com/createApp/' target='_blank'>https://"+COUNTRY+".api."+COMPANY+".com/createApp/</a>";
	}
})();
</script>
{/literal}