<div class="panel panel-default">
  <div class="panel-heading">
    <h3 class="panel-title">{$translate.REINSTALL_HEADER}</h3>
  </div>
  <div class="panel-body">
	  

	  
		<form method="post" action="clientarea.php?action=productdetails">
			
			<div class="form-group">
			    <label for="os">{$translate.REINSTALL_SelectOS}</label>
			    <select class="form-control" name="os" onchange="list(this.value);"><option value=""></option>{foreach item=template key=key from=$templates}<option value='{$key}'>{$key}</option>{/foreach}</select>
			</div>
			
			<div class="form-group" id="templateDiv">
			    <label for="template">{$translate.REINSTALL_SelectTemplate}</label>
			   <select class="form-control" name="template" id="template" onchange="manager_modifyLanguageSelection(this.value);"></select>
			</div>
			
			<div class="form-group" id="languageDiv">
			    <label for="language">{$translate.REINSTALL_SelectLanguage}</label>
			   <select class="form-control" name="language" id="language"></select>
			</div>
			
			<div class="checkbox" id="customizeDiv">
			  <label>
			    <input name="customize" type="checkbox" />
			   {$translate.REINSTALL_CustomizePartition}
			  </label>
			</div>

		
		<input type="hidden" name="run_action" value="dedicated_reinstall_step2" />
		<input type="hidden" name="id" value="{$serviceid}" />
		<input type="hidden" name="modop" value="custom" />
		<input type="hidden" name="a" value="dedi_install" />
		<input type="submit" class="btn btn-primary pull-left" value="{$translate.GENERAL_NextStep}" />
		</form>


		<form method="post" action="clientarea.php?action=productdetails">
		<input type="hidden" name="id" value="{$serviceid}" />
		<input type="submit" class="btn btn-default pull-right" value="{$translate.GENERAL_GoBack}" />
		</form>
	
	
  </div>
</div>
{literal}
<script>
	
document.getElementById("templateDiv").style.display = "none";
document.getElementById("languageDiv").style.display = "none";
document.getElementById("customizeDiv").style.display = "none";

var options = {/literal}{$templates_js}{literal};

function list(os){
	
	manager_operatingSystem = os;
	
	var select = document.getElementById("template"); 
	
	document.getElementById("template").innerHTML = "";

	console.log('length: ',options[os].length);
	
	select.appendChild(document.createElement("option"));
	for(var i = 0; i < options[os].length; i++) {
	    var opt = options[os][i];
	    var el = document.createElement("option");
	    el.textContent = opt.description + " (x" + opt.bitFormat + ")";
	    el.value = opt.templateName;
	    select.appendChild(el);
	}
	
	document.getElementById("templateDiv").style.display = "";
	

}

function manager_modifyLanguageSelection(template){
	
	var select = document.getElementById("language"); 
	
	document.getElementById("language").innerHTML = ""
	
	select.appendChild(document.createElement("option"));
	
	for( var i = 0; i < options[manager_operatingSystem].length; i++ ) {
		
	    if( options[manager_operatingSystem][i].templateName === template ) {
			
	
			for( var k = 0; k < options[manager_operatingSystem][i].availableLanguages.length; k++ ) {
				
				var el = document.createElement("option");
				
			    el.textContent = options[manager_operatingSystem][i].availableLanguages[k];
				
			    el.value = options[manager_operatingSystem][i].availableLanguages[k];
				
			    select.appendChild(el);
				
			}

			document.getElementById("languageDiv").style.display = "";
			document.getElementById("customizeDiv").style.display = "";
			
	        break;
	    }
	}

}
</script>
{/literal}