<div class="panel panel-default">
  <div class="panel-heading">
    <h3 class="panel-title">{$translate.REINSTALL2_HEADER}</h3>
  </div>
  <div class="panel-body">
			 	{literal}
					<style>
						.manager_dedicatedReinstallPartitions {
							float:left;margin-right:55px;
						}
						.manager_dedicatedReinstallPartitionsHeader{
							float:left;margin-right:30px;
						}
					</style>
				{/literal}
				
				
		  	{if isset($statmsg)}
		  	<div class="alert alert-{$statmsg.type} alert-dismissible fade in" role="alert">
		  	      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
		  	      <h4>{$statmsg.header}</h4>
		  	      <p>{$statmsg.content}</p>
		  	</div>
		  	{/if}	
				
			<div class="float:left;">
				{$data.disk.numberOfDisks} {$data.disk.diskType} {$translate.REINSTALL2_DISKS}
			</div>
			

				
			<center>
				{$data.disk.spaceConsumed.value} {$data.disk.spaceConsumed.unit} / {$data.disk.spaceAllocated.value} {$data.disk.spaceAllocated.unit}
			</center>
			<div class="progress">
				<div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="{$data.disk.spaceConsumed.percent}" aria-valuemin="0" aria-valuemax="100" style="width: {$data.disk.spaceConsumed.percent}%;">
				</div>
				
				{foreach item=partition from=$data.partition}
				
					{if ($partition.size.value == 0)}
						<div class="progress-bar" role="progressbar" aria-valuenow="{(100 - $data.disk.spaceConsumed.percent)}" aria-valuemin="0" aria-valuemax="100" style="width: {(100 - $data.disk.spaceConsumed.percent)}%; background-image: linear-gradient(to bottom,#87b88a 0,#93b894 100%);">
						</div>
					{/if}
				
				{/foreach}
				
			</div>
			
			<div style="height:15px;">
		 		<form method="post" action="clientarea.php?action=productdetails">
		 		<input type="hidden" name="id" value="{$serviceid}" />
				<input type="hidden" name="modop" value="custom" />
		 		<input type="hidden" name="currentTemplate" value="{$currentTemplate}" />
		 		<input type="hidden" name="run_action" value="dedicated_reinstall_addPartition" />
				<input type="hidden" name="spaceRemainingUsed" value="{$spaceRemainingUsed}" />
				<input type="hidden" name="scheme" value="{$data.partition[0].scheme}" />
				<input type="hidden" name="spaceRemainingPoint" value="{$spaceRemainingPoint}" />
				<input type="hidden" name="a" value="dedi_install" />
		 		<button type="submit" class="btn btn-default pull-right"><span class="glyphicon glyphicon-plus"></span> {$translate.REINSTALL2_AddPartition}</button>
		 		</form>
			</div>
			
			<table class="table">
				
				<tbody>
					
					<tr class="clientareatableheading">
						<th>
							{$translate.REINSTALL2_ORDER}
						</th>
						<th>
							{$translate.REINSTALL2_TYPE}
						</th>
						<th>
							{$translate.REINSTALL2_FileSystem}
						</th>
						<th>
							{$translate.REINSTALL2_MountPoint}
						</th>
						<th>
							{$translate.REINSTALL2_VolumeName}
						</th>
						<th>
							{$translate.REINSTALL2_RAID}
						</th>
						<th>
							{$translate.REINSTALL2_SIZE}
						</th>
						<th colspan="2"></th>
					</tr>
					
					{foreach item=partition from=$data.partition}
					
				 	<tr>
						<td>
							{$partition.order}
						</td>
						<td>
							{$partition.type}
						</td>
						<td>
							{$partition.filesystem}
						</td>
						<td>
							{$partition.point}
						</td>
						<td>
							{$partition.volume}
						</td>
						<td>
							{$partition.raid}
						</td>
						<td>
							{if ($partition.size.value == 0)}
								Space Remaining
							{else}
								{$partition.size.value}{$partition.size.unit}
							{/if}
						</td>
						<td>
					 		<form method="post" action="clientarea.php?action=productdetails">
					 		<input type="hidden" name="id" value="{$serviceid}" />
							<input type="hidden" name="modop" value="custom" />
							
					 		<input type="hidden" name="currentTemplate" value="{$currentTemplate}" />
							<input type="hidden" name="spaceRemainingUsed" value="{$spaceRemainingUsed}" />
							<input type="hidden" name="spaceRemainingPoint" value="{$spaceRemainingPoint}" />
							
							<input type="hidden" name="selectedPartition[scheme]" value="{$partition.scheme}">
							<input type="hidden" name="selectedPartition[order]" value="{$partition.order}">
							<input type="hidden" name="selectedPartition[type]" value="{$partition.type}">
							<input type="hidden" name="selectedPartition[point]" value="{$partition.point}">
							<input type="hidden" name="selectedPartition[filesystem]" value="{$partition.filesystem}">
							<input type="hidden" name="selectedPartition[volume]" value="{$partition.volume}">
							<input type="hidden" name="selectedPartition[raid]" value="{$partition.raid}">
							<input type="hidden" name="selectedPartition[size]" value="{$partition.size.value}">
							
					 		<input type="hidden" name="run_action" value="dedicated_reinstall_editPartition" />
							<input type="hidden" name="a" value="dedi_install" />
					 		<button type="submit" class="btn btn-primary btn-xs pull-right"><span class="glyphicon glyphicon-wrench"></span> {$translate.REINSTALL2_Edit}</button>
					 		</form>
						</td>
						<td>
							{if ($partition.point !== 'swap')}
						 		<form method="post" action="clientarea.php?action=productdetails">
						 		<input type="hidden" name="id" value="{$serviceid}" />
								<input type="hidden" name="modop" value="custom" />
						 		<input type="hidden" name="currentTemplate" value="{$currentTemplate}" />
								<input type="hidden" name="scheme" value="{$partition.scheme}">
								<input type="hidden" name="partition" value="{$partition.point}">
						 		<input type="hidden" name="run_action" value="dedicated_reinstall_deletePartition" />
								<input type="hidden" name="a" value="dedi_install" />
						 		<button type="submit" class="btn btn-danger btn-xs pull-right"><span class="glyphicon glyphicon-trash"></span> {$translate.GENERAL_Delete}</button>
						 		</form>
							{/if}
						</td>
					</tr>
					
					{/foreach}
					
				</tbody>
			</table>
			
		<div>		
			<small>{$translate.REINSTALL2_SWAP}</small>		
		</div>
		
		<br/>
		
		<form method="post" action="clientarea.php?action=productdetails">
		<input type="hidden" name="currentTemplate" value="{$currentTemplate}" />
		<input type="hidden" name="run_action" value="dedicated_reinstall_step3" />
		<input type="hidden" name="id" value="{$serviceid}" />
		<input type="hidden" name="modop" value="custom" />
		<input type="hidden" name="a" value="dedi_install" />
		<input type="submit" class="btn btn-primary pull-left" value="{$translate.GENERAL_NextStep}" />
		</form>


		<form method="post" action="clientarea.php?action=productdetails">
		<input type="hidden" name="id" value="{$serviceid}" />
		<input type="hidden" name="currentTemplate" value="{$currentTemplate}" />
		<input type="hidden" name="run_action" value="dedicated_reinstall_cancel" />
		<input type="submit" class="btn btn-danger pull-right" value="{$translate.GENERAL_CANCEL}" />
		</form>
	
	
  </div>
</div>