<div class="panel panel-default">
  <div class="panel-heading">
    <h3 class="panel-title">{$translate.REINSTALL2_EDIT_HEADER}</h3>
  </div>
  <div class="panel-body">
	  
		<form method="post" action="clientarea.php?action=productdetails">
	
		<div class="form-group">
			<label for="order">{$translate.REINSTALL2_ADD_ORDER}</label>		
			<input type="number" class="form-control" name="order" value="{$selected.order}" />
		</div>	

		<div class="form-group">
			
			<label for="type">{$translate.REINSTALL2_ADD_PartitionType}</label>
			
			<select class="form-control" name="type" selected="{$selected.type}">
				<option value="primary">{$translate.REINSTALL2_ADD_PRIMARY}</option>
				<option value="lv">lv</option>
				<option value="logical">{$translate.REINSTALL2_ADD_LOGICAL}</option>
			</select>
			
		</div>
		
		<div class="form-group">
			<label for="filesystem">{$translate.REINSTALL2_FileSystem}</label>
			<select class="form-control" name="filesystem" selected="{$selected.filesystem}">
				<option value="ext3">ext3</option>
				<option value="ext4">ext4</option>
				<option value="reiserfs">reiserfs</option>
			</select>
		</div>
			
		<div class="form-group">
			<label for="point">{$translate.REINSTALL2_MountPoint}</label>
			<input type="text" class="form-control" name="point" value="{$selected.point}">
		</div>
		
		<div class="form-group">
			<label for="volume">{$translate.REINSTALL2_VolumeName}</label>
			<input type="text" class="form-control" name="volume" value="{$selected.volume}">
		</div>
		
		<div class="form-group">
			<label for="raid">{$translate.REINSTALL2_RAID}</label>
			<input type="number" class="form-control" name="raid" value="{$selected.raid}">
		</div>
		
		<div class="form-group">
			<label for="size">{$translate.REINSTALL2_SIZE} (MB)</label>
			{if $spaceRemainingIsUsed && ($spaceRemainingIsPoint !== $selected.point)}
				<input type"number" class="form-control" name="size" value="{$selected.size}">
				<small>{$translate.REINSTALL2_ADD_OnlyOneSpace}</small>
			{else}
				<input type"number" class="form-control" name="size" id="size" value="{$selected.size}">
				<input type="checkbox" name="useRemainingSpace" id="useRemainingSpace" onchange="toggleSize();" {if ($spaceRemainingIsPoint == $selected.point)}checked{/if} /> {$translate.REINSTALL2_ADD_UseRemaining}
			{/if}
		</div>
			
			
		<input type="hidden" name="id" value="{$serviceid}" />
		<input type="hidden" name="modop" value="custom" />
		<input type="hidden" name="scheme" value="{$selected.scheme}" />
		<input type="hidden" name="point_original" value="{$point_original}" />
		<input type="hidden" name="run_action" value="dedicated_reinstall_savePartition" />
		<input type="hidden" name="currentTemplate" value="{$currentTemplate}" />
		<input type="hidden" name="customize" value="true" />
		<input type="hidden" name="a" value="dedi_install" />
		<input type="submit" class="btn btn-primary pull-left" value="{$translate.GENERAL_SAVEchanges}" />
		</form>

		<form method="post" action="clientarea.php?action=productdetails">
		<input type="hidden" name="id" value="{$serviceid}" />
		<input type="hidden" name="modop" value="custom" />
		<input type="hidden" name="run_action" value="dedicated_reinstall_step2" />
		<input type="hidden" name="currentTemplate" value="{$currentTemplate}" />
		<input type="hidden" name="customize" value="true" />
		<input type="hidden" name="a" value="dedi_install" />
		<input type="submit" class="btn btn-default pull-right" value="{$translate.GENERAL_GoBack}" />
		</form>
	
	
  </div>
</div>


{literal}
	<script type="text/javascript">
		{/literal}
		{if ($spaceRemainingIsPoint == $selected.point)}
		{literal}
			document.getElementById('size').readOnly = true;
		{/literal}
		{/if}
		{literal}
		function toggleSize() {
		    if ($('#useRemainingSpace').is(':checked')) {
		        document.getElementById('size').readOnly = true;
				document.getElementById('size').value = '0';
		    } else {
		        document.getElementById('size').readOnly = false;
		    }   
		}
	</script>
{/literal}