{if $license.status == 'Active'}

{if $license_active}
	<div class="alert alert-success" role="alert"> <strong>Look'n Good!</strong> Your key is active and validated. </div>
{else}
	<div class="alert alert-danger" role="alert"> <strong>Uh-oh!</strong> Your key is invalid.</div>
{/if}

	<div class="margin-top-bottom-20">
		<table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
			<tbody><tr><td width="20%" class="fieldlabel">Registered To</td><td class="fieldarea">{$license.registeredname}</td></tr>
				<tr><td class="fieldlabel">License Type</td><td class="fieldarea">{$license.billingcycle}</td></tr>
				<tr><td class="fieldlabel">Valid Domain</td><td class="fieldarea">{$license.validdomain}</td></tr>
				<tr><td class="fieldlabel">Valid IP</td><td class="fieldarea">{$license.validip}</td></tr>
				<tr><td class="fieldlabel">Valid Directory</td><td class="fieldarea">{$license.validdirectory}</td></tr>
				<tr><td class="fieldlabel">Addons</td><td class="fieldarea">{$license.configoptions}</td></tr>
				<tr><td class="fieldlabel">Created</td><td class="fieldarea">{$license.regdate}</td></tr>
				<tr><td class="fieldlabel">Expires</td><td class="fieldarea">{if $license.nextduedate eq '0000-00-00'}Never{else}{$license.nextduedate}{/if}</td></tr>
			</tbody>
		</table>
	</div>

	<form method="POST" name="license" action="addonmodules.php?module=ovh_api&action=license">
		<div class="form-group">
			<label for="license">License Key</label>
			<input type="text" name="license" class="form-control" placeholder="License Key" value="{$license_key}">
		</div>
		<input type="hidden" name="s" value="license">
		<input type="submit" class="btn btn-large btn-default" value="Re-Activate">
	</form>
{else}
	<div class="panel panel-default">
		<div class="panel-body">
			<h3>Thanks for purchasing!</h3>
			<p>To begin using your product please supply a valid license key and click 'Activate' below.<br></p>
			
			<form method="POST" name="license" action="addonmodules.php?module=ovh_api&action=license">
				<div class="form-group">
					<label for="license">License Key</label>
					<input type="text" name="license" class="form-control" placeholder="License Key">
				</div>
				<input type="hidden" name="s" value="license">
				<input type="submit" class="btn btn-large btn-primary" style="float:right;" value="Activate">
			</form>
			
		</div>
	</div>
{/if}

<div class="alert alert-info" style="margin-top:25px;">
    <i class="fa fa-info-circle"></i>
    &nbsp;If you are planning to move your WHMCS System to a new location then you will need to get your license reissued.  See <a href="{$admin.kbUrl}" target="_blank" class="alert-link">{$admin.kbUrl}</a> for more info...
</div>
