<div class="panel panel-default">
  <div class="panel-heading">
    <h3 class="panel-title">{$translate.REVERSE_HEAD}</h3>
  </div>
  <div class="panel-body">

	  
  	{if isset($statmsg)}
  	<div class="alert alert-{$statmsg.type} alert-dismissible fade in" role="alert">
  	      <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>
  	      <h4>{$statmsg.header}</h4>
  	      <p>{$statmsg.content}</p>
  	</div>
  	{/if}
	  
	    {if $isEmpty}
		<div class="alert alert-warning fade in" role="alert">
		      <strong>{$translate.REVERSE_Yikes}</strong> {$translate.REVERSE_NoIPs}
		</div>
		{else}
		
		<table class="table">
			<tr colspan="2">
				<th>{$translate.REVERSE_IPAddress}</th>
				<th>{$translate.REVERSE_COUNTRY}</th>
				<th>{$translate.REVERSE_REVERSE}</th>
				<th>{$translate.REVERSE_VirtualMAC}</th>
				<th></th>
			</tr>
		
			{foreach item=ip from=$ips}
		
				<tr>
					<td>{$ip.ip}</td>
					<td>{if $ip.country}{$ip.country}{else}-{/if}</td>
					<td>{if $ip.reverse}{$ip.reverse}{else}-{/if}</td>
					<td>{if $ip.virtualMac}{$ip.virtualMac}{else}-{/if}</td>
					<td class="dropdown">
						
						        <button type="button" id="drop4" href="#" class="btn btn-default dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="true">
						          {$translate.REVERSE_Edit}
						          <span class="caret"></span>
						        </button>
						        <ul id="menu1" class="dropdown-menu" aria-labelledby="drop4">
						          <li>
			  						<form id="{$ip.ip}-editReverse" method="post" action="clientarea.php?action=productdetails">
			  						<input type="hidden" name="run_action" value="reverse_edit" />
			  						<input type="hidden" name="id" value="{$serviceid}" />
			  						<input type="hidden" name="ip" value="{$ip.ip}" />
			  						<input type="hidden" name="country" value="{$ip.country}" />
			  						<input type="hidden" name="reverse" value="{$ip.reverse}" />
							  		<input type="hidden" name="block" value="{$ip.block}" />
			  						<input type="hidden" name="modop" value="custom" />
			  						<input type="hidden" name="a" value="dedi_reverse" />
			  						</form>
									<a href="javascript:void(0)" onclick="document.getElementById('{$ip.ip}-editReverse').submit();">{$translate.REVERSE_ModifyReverse}</a>
								  </li>
								  {if $ip.virtualMac}
								  <li role="separator" class="divider"></li>
						          <li>
			  						<form id="{$ip.ip}-detailsMac" method="post" action="clientarea.php?action=productdetails">
			  						<input type="hidden" name="run_action" value="reverse_detailsMac" />
			  						<input type="hidden" name="id" value="{$serviceid}" />
			  						<input type="hidden" name="ip" value="{$ip.ip}" />
								  	<input type="hidden" name="mac" value="{$ip.virtualMac}" />
			  						<input type="hidden" name="modop" value="custom" />
			  						<input type="hidden" name="a" value="dedi_reverse" />
			  						</form>
									<a href="javascript:void(0)" onclick="document.getElementById('{$ip.ip}-detailsMac').submit();">{$translate.REVERSE_vMACInfo}</a>
								  </li>
						          <li>
			  						<form id="{$ip.ip}-deleteMac" method="post" action="clientarea.php?action=productdetails">
			  						<input type="hidden" name="id" value="{$serviceid}" />
						  			<input type="hidden" name="run_action" value="reverse_deleteMac" />
			  						<input type="hidden" name="ip" value="{$ip.ip}" />
						  			<input type="hidden" name="mac" value="{$ip.virtualMac}" />
			  						<input type="hidden" name="modop" value="custom" />
			  						<input type="hidden" name="a" value="dedi_reverse" />
			  						</form>
									<a href="javascript:void(0)" onclick="document.getElementById('{$ip.ip}-deleteMac').submit();" style="color:#FF0000;">{$translate.REVERSE_DELETEvMAC}</a>
								  </li>
								  {else}
								  
								  	  {if $isDedicated}
										  <li role="separator" class="divider"></li>
								          <li>
					  						<form id="{$ip.ip}-addMac" method="post" action="clientarea.php?action=productdetails">
					  						<input type="hidden" name="run_action" value="reverse_addMac" />
					  						<input type="hidden" name="id" value="{$serviceid}" />
					  						<input type="hidden" name="ip" value="{$ip.ip}" />
										  	<input type="hidden" name="mac" value="{$ip.virtualMac}" />
					  						<input type="hidden" name="modop" value="custom" />
					  						<input type="hidden" name="a" value="dedi_reverse" />
					  						</form>
											<a href="javascript:void(0)" onclick="document.getElementById('{$ip.ip}-addMac').submit();">{$translate.REVERSE_ADDvMAC}</a>
										  </li>
								  		{/if}
										
								  {/if}
						         
						        </ul>
						
					</td>
				</tr>
		
			{/foreach}
		</table>


		<form method="post" action="clientarea.php?action=productdetails">
		<input type="hidden" name="id" value="{$serviceid}" />
		<input type="submit" class="btn btn-default pull-right" value="{$translate.GENERAL_GoBack}" />
		</form>
		{/if}
	
  </div>
</div>

